Bug 154179 - Fix goinstall in lang/go port
Summary: Fix goinstall in lang/go port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Julien Laffaye
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-20 23:00 UTC by Grzegorz Blach
Modified: 2011-11-30 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (44.23 KB, patch)
2011-01-20 23:00 UTC, Grzegorz Blach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Blach 2011-01-20 23:00:18 UTC
I wanna install some modules from http://godashboard.appspot.com/package
But goinstall nor manual install of most packages don't work, because they need sources of bundled packages. I thing they should be installed with compiler (maybe using option for pkg sources)


Patch in attachment

Fix: Patch attached with submission follows:
How-To-Repeat: Simplest test:
> goinstall github.com/hoisie/web.go

This need git command
Comment 1 Edwin Groothuis freebsd_committer 2011-01-20 23:00:24 UTC
Maintainer of lang/go,

Please note that PR ports/154179 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154179

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-01-20 23:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wen Heping freebsd_committer 2011-01-21 02:57:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 4 Grzegorz Blach 2011-02-10 19:13:42 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Since I played longer with goinstall, I found that installing some
modules with this tool, goinstall rebuilt some other modules from base
distribution, making them unusable. And I must rebuild whole Go.

So it's better leave goinstall not working this time.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJNVDjlAAoJEFCzIDMxqoIL0AUIAJrDiMvazUa/bY/KvGC/V05V
ZlpQR3i4gHZTKsuSvfQuf5bbtOeYdiso1O5uVMwBhEzKZ4zDhAWBlHmHWJvwjxVN
UN0QUIxW5TMD1TmuUBxhiIlxrtPZLSMPSB+yw9IHxYez3sVN6wtwECLXkKDIIhVx
kDZekqv94xjou122/TPZ2+489fgYpo9+kfW1Vv3VvdvQSaE662qg2kgUH/cgXQqv
2QgMI44x2YzK4tWU2E46W6ewAdCVXxOHEM6GrXQkhaGqDeRXCKBzi4kg+FJZAB8O
Um+YahTxooXcoPZx5kBN1zw9Ao+tJCD2VvONlPH5fWsFyPP60TCSA+4k3fDwsVI=
=JXFl
-----END PGP SIGNATURE-----
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2011-09-05 06:07:13 UTC
State Changed
From-To: feedback->suspended

Submitter notes there is a problem and suggests suspending this one. 


Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-09-05 06:07:13 UTC
Responsible Changed
From-To: wen->jlaffaye

Over to new maintainer.
Comment 7 dfilter service freebsd_committer 2011-11-30 20:35:26 UTC
jlaffaye    2011-11-30 20:35:18 UTC

  FreeBSD ports repository

  Modified files:
    lang/go              Makefile pkg-plist 
  Log:
  - Install sources to fix goinstall and godoc [1] [2]
  - Unset GOBIN while installing [3]
  
  PR:             ports/154179 [1], ports/162910 [2], ports/162954 [3]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.11      +4 -0      ports/lang/go/Makefile
  1.10      +1746 -0   ports/lang/go/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Julien Laffaye freebsd_committer 2011-11-30 20:36:08 UTC
State Changed
From-To: suspended->closed

Sources are now installed.